Skip to main content
`Ctrl`+`K`

# PEPSTOARGetCheckEigenvalueType

Gets the flag for the eigenvalue type check in spectrum slicing.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSTOARGetCheckEigenvalueType(PEP pep,PetscBool *checket)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameter

- checket - whether eigenvalue type must be checked during spectrum slcing

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSTOAR`, `PEPSTOARSetCheckEigenvalueType()`

## Level

advanced

## Location

src/pep/impls/krylov/stoar/stoar.c

## Implementations

PEPSTOARGetCheckEigenvalueType_STOAR() in src/pep/impls/krylov/stoar/stoar.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages